tell application "Vienna"
	
	set current_article to current article
	
	try
		set current_title to title of current_article
		set current_body to body of current_article
		set current_link to link of current_article
		
	on error errMsg number errNr
		
		set current_title to ""
		set current_body to ""
		set current_link to ""
		
	end try
	
end tell


set _TempFile1 to ((path to temporary items folder) & "iGTDviennaTitle.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDviennaURL.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDviennaBody.txt") as text

try
	close access file _TempFile1
end try
try
	close access file _TempFile2
end try
try
	close access file _TempFile3
end try

open for access file _TempFile1 with write permission
set eof file _TempFile1 to 0 -- clear the file contents
write current_title to file _TempFile1
close access file _TempFile1

open for access file _TempFile2 with write permission
set eof file _TempFile2 to 0 -- clear the file contents
write current_link to file _TempFile2
close access file _TempFile2

open for access file _TempFile3 with write permission
set eof file _TempFile3 to 0 -- clear the file contents
write current_body to file _TempFile3
close access file _TempFile3
