tell application "DEVONagent"
	try
		if not (exists browser 1) then error "No browser windows are open."
		set this_browser to browser 1
		set current_url to the URL of this_browser
		if current_url contains "DEVONagent.app/Contents/Resources/index.html" then error "No web page is open."
		set current_title to name of this_browser
		set current_content to text of this_browser
	end try
end tell

set _TempFile1 to ((path to temporary items folder) & "iGTDDEVONagentTitle.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDDEVONagentURL.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDDEVONagentNote.txt") as text

my sendToiGTD(_TempFile1, current_title)
my sendToiGTD(_TempFile2, current_url)
my sendToiGTD(_TempFile3, current_content)

on sendToiGTD(the_file, the_contents)
	try
		close access file the_file
	end try
	try
		open for access file the_file with write permission
		set eof file the_file to 0 -- clear the file contents
		write the_contents to file the_file
		close access file the_file
	end try
end sendToiGTD