tell application "endo"
	try
		if exists (selected article) then
			set theHeadline to the (selected article)
		else
			error
		end if
		set current_headline_url to link of theHeadline
		set current_headline to title of theHeadline
		set current_headline_content to excerpt of theHeadline
	end try
end tell

set _TempFile1 to ((path to temporary items folder) & "iGTDendoHeadline.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDendoHeadlineURL.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDendoHeadlineSummary.txt") as text

my sendToiGTD(_TempFile1, current_headline)
my sendToiGTD(_TempFile2, current_headline_url)
my sendToiGTD(_TempFile3, current_headline_content)

on sendToiGTD(the_file, the_contents)
	try
		close access file the_file
	end try
	try
		open for access file the_file with write permission
		set eof file the_file to 0 -- clear the file contents
		write the_contents to file the_file
		close access file the_file
	end try
end sendToiGTD